#

API Docs for: 1.6.0
Show: Inherited Protected Private Deprecated

# PixiFastShader Class

Defined in: `src/pixi/renderers/webgl/shaders/PixiFastShader.js:6`
Module: PIXI

## Constructor

### `PixiFastShader`

(

- `gl`

)

Defined in `src/pixi/renderers/webgl/shaders/PixiFastShader.js:6`

#### Parameters:

- `gl` WebGLContext

  the current WebGL drawing context

- Index
- Methods
- Properties

## Item Index

### Methods

- destroy
- init

### Properties

- fragmentSrc - The fragment shader.
- gl
- program - The WebGL program.
- textureCount - A local texture counter for multi-texture shaders.
- vertexSrc - The vertex shader

## Methods

### `destroy`

()

Defined in `src/pixi/renderers/webgl/shaders/PixiFastShader.js:135`

Destroys the shader

### `init`

()

Defined in `src/pixi/renderers/webgl/shaders/PixiFastShader.js:82`

Initialises the shader

## Properties

### `fragmentSrc - The fragment shader.`

Array

Defined in `src/pixi/renderers/webgl/shaders/PixiFastShader.js:26`

### `gl`

WebGLContext

Defined in `src/pixi/renderers/webgl/shaders/PixiFastShader.js:15`

### `program - The WebGL program.`

Any

Defined in `src/pixi/renderers/webgl/shaders/PixiFastShader.js:21`

### `textureCount - A local texture counter for multi-texture shaders.`

Number

Defined in `src/pixi/renderers/webgl/shaders/PixiFastShader.js:73`

### `vertexSrc - The vertex shader`

Array

Defined in `src/pixi/renderers/webgl/shaders/PixiFastShader.js:39`